using GameFramework;
using GameFramework.Event;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityGameFramework.Runtime;

namespace MetaClient
{
    /// <summary>
    /// 自定义角色面部事件
    /// </summary>
    public class CustomRoleBodyEventArgs : GameEventArgs
    {
        /// <summary>
        /// 打开界面成功事件编号。
        /// </summary>
        public static readonly int EventId = typeof(CustomRoleBodyEventArgs).GetHashCode();

        /// <summary>
        /// 获取打开界面成功事件编号。
        /// </summary>
        public override int Id
        {
            get
            {
                return EventId;
            }
        }

        public int Part { get; set; }
        public Vector3 ChangeValue { get; set; }

        public static CustomRoleBodyEventArgs Create(int part, Vector3 value)
        {
            CustomRoleBodyEventArgs customRoleFaceEvent = ReferencePool.Acquire<CustomRoleBodyEventArgs>();
            customRoleFaceEvent.Part = part;
            customRoleFaceEvent.ChangeValue = value;
            return customRoleFaceEvent;
        }

        public override void Clear()
        {

        }

    }
}

